package jalview.structure;

import jalview.api.AlignmentViewPanel;
import jalview.datamodel.SequenceI;

/**
 * A base class holding methods useful to all classes that implement commands
 * for structure viewers
 * 
 * @author gmcarstairs
 *
 */
public abstract class StructureCommandsBase implements StructureCommandsI
{

  @Override
  public String[] setAttributesForFeatures(StructureSelectionManager ssm,
          String[] files, SequenceI[][] sequence, AlignmentViewPanel avp)
  {
    // default does nothing, override where this is implemented
    return null;
  }
}
